commit:     8fc8edc9c9e63a995ecccb1df57294c2222abf54
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 18 11:10:03 2014 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Wed Jun 18 11:10:03 2014 +0000
URL:        
http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=8fc8edc9

gnome-base/dconf: disable-man which hits the docbook DTD bug

Package-Manager: portage-2.2.8-r1
RepoMan-Options: --force
Manifest-Sign-Key: 0xF52D4BBA

---
 gnome-base/dconf/dconf-0.18.0-r99.ebuild | 75 ++++++++++++++++++++++++++++++++
 gnome-base/dconf/dconf-0.20.0-r99.ebuild | 75 ++++++++++++++++++++++++++++++++
 gnome-base/dconf/metadata.xml            |  5 +++
 3 files changed, 155 insertions(+)

diff --git a/gnome-base/dconf/dconf-0.18.0-r99.ebuild 
b/gnome-base/dconf/dconf-0.18.0-r99.ebuild
new file mode 100644
index 0000000..2a667dd
--- /dev/null
+++ b/gnome-base/dconf/dconf-0.18.0-r99.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/gnome-base/dconf/dconf-0.18.0.ebuild,v 1.10 
2014/05/17 15:31:15 ago Exp $
+
+EAPI="5"
+GCONF_DEBUG="no"
+
+inherit gnome2 bash-completion-r1 virtualx
+
+DESCRIPTION="Simple low-level configuration system"
+HOMEPAGE="https://wiki.gnome.org/dconf";
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+
+# TODO: coverage ?
+IUSE="test +X"
+
+KEYWORDS="amd64 arm ~mips x86"
+
+RDEPEND="
+       >=dev-libs/glib-2.35.2:2
+       sys-apps/dbus
+       X? (
+               >=dev-libs/libxml2-2.7.7:2
+               >=x11-libs/gtk+-3.4:3 )
+"
+DEPEND="${RDEPEND}
+       dev-libs/libxslt
+       dev-util/gdbus-codegen
+       >=dev-util/gtk-doc-am-1.15
+       >=dev-util/intltool-0.50
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+src_configure() {
+       gnome2_src_configure \
+               --disable-gcov \
+               --disable-man \
+               $(use_enable X editor) \
+               VALAC=$(type -P valac-0.18) # harmless even if valac-0.18 not 
found
+}
+
+src_test() {
+       Xemake check
+}
+
+src_install() {
+       gnome2_src_install
+
+       # GSettings backend may be one of: memory, gconf, dconf
+       # Only dconf is really considered functional by upstream
+       # must have it enabled over gconf if both are installed
+       echo 'CONFIG_PROTECT_MASK="/etc/dconf"' >> 51dconf
+       echo 'GSETTINGS_BACKEND="dconf"' >> 51dconf
+       doenvd 51dconf
+
+       # Install bash-completion file properly to the system
+       rm -rv "${ED}usr/share/bash-completion" || die
+       dobashcomp "${S}/bin/completion/dconf"
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+       # Kill existing dconf-service processes as recommended by upstream due 
to
+       # possible changes in the dconf private dbus API.
+       # dconf-service will be dbus-activated on next use.
+       pids=$(pgrep -x dconf-service)
+       if [[ $? == 0 ]]; then
+               ebegin "Stopping dconf-service; it will automatically restart 
on demand"
+               kill ${pids}
+               eend $?
+       fi
+}

diff --git a/gnome-base/dconf/dconf-0.20.0-r99.ebuild 
b/gnome-base/dconf/dconf-0.20.0-r99.ebuild
new file mode 100644
index 0000000..0c07c84
--- /dev/null
+++ b/gnome-base/dconf/dconf-0.20.0-r99.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/gnome-base/dconf/dconf-0.20.0.ebuild,v 1.1 
2014/04/27 16:41:18 eva Exp $
+
+EAPI="5"
+GCONF_DEBUG="no"
+
+inherit gnome2 bash-completion-r1 virtualx
+
+DESCRIPTION="Simple low-level configuration system"
+HOMEPAGE="https://wiki.gnome.org/dconf";
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+
+# TODO: coverage ?
+IUSE="test +X"
+
+KEYWORDS="~amd64 ~arm ~mips ~x86"
+
+RDEPEND="
+       >=dev-libs/glib-2.39.1:2
+       sys-apps/dbus
+       X? (
+               >=dev-libs/libxml2-2.7.7:2
+               >=x11-libs/gtk+-3.4:3 )
+"
+DEPEND="${RDEPEND}
+       dev-libs/libxslt
+       dev-util/gdbus-codegen
+       >=dev-util/gtk-doc-am-1.15
+       >=dev-util/intltool-0.50
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+src_configure() {
+       gnome2_src_configure \
+               --disable-gcov \
+               --enable-man \
+               $(use_enable X editor) \
+               VALAC=$(type -P true)
+}
+
+src_test() {
+       Xemake check
+}
+
+src_install() {
+       gnome2_src_install
+
+       # GSettings backend may be one of: memory, gconf, dconf
+       # Only dconf is really considered functional by upstream
+       # must have it enabled over gconf if both are installed
+       echo 'CONFIG_PROTECT_MASK="/etc/dconf"' >> 51dconf
+       echo 'GSETTINGS_BACKEND="dconf"' >> 51dconf
+       doenvd 51dconf
+
+       # Install bash-completion file properly to the system
+       rm -rv "${ED}usr/share/bash-completion" || die
+       dobashcomp "${S}/bin/completion/dconf"
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+       # Kill existing dconf-service processes as recommended by upstream due 
to
+       # possible changes in the dconf private dbus API.
+       # dconf-service will be dbus-activated on next use.
+       pids=$(pgrep -x dconf-service)
+       if [[ $? == 0 ]]; then
+               ebegin "Stopping dconf-service; it will automatically restart 
on demand"
+               kill ${pids}
+               eend $?
+       fi
+}

diff --git a/gnome-base/dconf/metadata.xml b/gnome-base/dconf/metadata.xml
new file mode 100644
index 0000000..da6fd63
--- /dev/null
+++ b/gnome-base/dconf/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>

Reply via email to